	bits	32
	%include 'mos.inc'
	section .text

	MOS_HEADER01 main,image_end,memory_end,stacktop,0,0

main:
redraw:
	call	draw_window
wait_event:
	MOS_WAITEVENT
	dec	eax
	jz	redraw
	dec	eax
	jz	key
; button pressed; we have only one button, close
	MOS_EXIT
key:
; key pressed, read it and ignore
	mov	eax, MOS_SC_GETKEY
	int	0x40
	jmp	wait_event

draw_window:
	MOS_STARTREDRAW
	xor	eax, eax
	mov	ebx, 10*65536 + 150
	mov	ecx, 40*65536 + 50
	mov	edx, 0x33FFFFFF
	mov	edi, header
	int	0x40		; define&draw window
	mov	eax, MOS_SC_WRITETEXT
	mov	ebx, 30*65536 + 10
	mov	ecx, 0x80000000
	mov	edx, string
	int	0x40		; display string
	MOS_ENDREDRAW
	ret

	section	.data
header	db	'HelloWorld test',0
string	db	'Hello, World!',0
image_end:

	section .bss
alignb	4
stack	resb	1024
stacktop:

memory_end:
